# Art Museum

Art Museum is a website for displaying personal pictures and videos. An example
instance can be found [here](https:// pics.zander.im).

![Screenshot of the Art Museum home page](screenshot.png)

[1]: https://gitlab.com/Zander671/curator

In the interest of ensuring compatibility with even the most bare-bones web
hosts, image processing and management happens on your local machine using
[Curator][1]. Because of this, the only requirement on the server-side is PHP
with JSON support.

Art Museum can display a variety of image formats, audio files, and video
files. It also supports displaying date, time, and location metadata for all of
these files. This metadata is calculated during upload and stored separate from
the media file itself, therefore, metadata can be shown for every uploaded file
even if the underlying format does not support it.

### Installation

To install, clone this repository and point your web server at the `root`
directory. Then, change the `root` key in the `root/options.php` file to point
to your data directory. This data directory needs to be readable by the user
that will execute the PHP scripts. It should be the directory that you uploaded
your data to with [Curator][1].

The example instance given above runs on nginx with PHP 8.3. However, as it uses
fairly basic PHP, it should work on any reasonably recent version.
